cURL
curl --request POST \
--url https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "residential",
"vertical": "sneakers_release|product_release_goods",
"ext_cust_email": "johndoe@example.com",
"asn_targeting": 1
}
'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential"
payload = {
"zone": "residential",
"vertical": "sneakers_release|product_release_goods",
"ext_cust_email": "johndoe@example.com",
"asn_targeting": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: 'residential',
vertical: 'sneakers_release|product_release_goods',
ext_cust_email: 'johndoe@example.com',
asn_targeting: 1
})
};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'zone' => 'residential',
'vertical' => 'sneakers_release|product_release_goods',
'ext_cust_email' => 'johndoe@example.com',
'asn_targeting' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential"
payload := strings.NewReader("{\n \"zone\": \"residential\",\n \"vertical\": \"sneakers_release|product_release_goods\",\n \"ext_cust_email\": \"johndoe@example.com\",\n \"asn_targeting\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"zone\": \"residential\",\n \"vertical\": \"sneakers_release|product_release_goods\",\n \"ext_cust_email\": \"johndoe@example.com\",\n \"asn_targeting\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"zone\": \"residential\",\n \"vertical\": \"sneakers_release|product_release_goods\",\n \"ext_cust_email\": \"johndoe@example.com\",\n \"asn_targeting\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "CUSTOMER_ID",
"zone": "ZONE",
"password": "PASSWORD",
"api_token": "API_KEY"
}Reseller API
Sign up customer in Residential zone
Use the Bright Data Reseller API to sign up a Customer in the Residential zone. Manages reseller customers, IPs or usage; returns 200 OK as JSON.
POST
/
api
/
{PARTNER_NAME}
/
signup_residential
cURL
curl --request POST \
--url https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "residential",
"vertical": "sneakers_release|product_release_goods",
"ext_cust_email": "johndoe@example.com",
"asn_targeting": 1
}
'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential"
payload = {
"zone": "residential",
"vertical": "sneakers_release|product_release_goods",
"ext_cust_email": "johndoe@example.com",
"asn_targeting": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: 'residential',
vertical: 'sneakers_release|product_release_goods',
ext_cust_email: 'johndoe@example.com',
asn_targeting: 1
})
};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'zone' => 'residential',
'vertical' => 'sneakers_release|product_release_goods',
'ext_cust_email' => 'johndoe@example.com',
'asn_targeting' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential"
payload := strings.NewReader("{\n \"zone\": \"residential\",\n \"vertical\": \"sneakers_release|product_release_goods\",\n \"ext_cust_email\": \"johndoe@example.com\",\n \"asn_targeting\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"zone\": \"residential\",\n \"vertical\": \"sneakers_release|product_release_goods\",\n \"ext_cust_email\": \"johndoe@example.com\",\n \"asn_targeting\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/api/{PARTNER_NAME}/signup_residential")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"zone\": \"residential\",\n \"vertical\": \"sneakers_release|product_release_goods\",\n \"ext_cust_email\": \"johndoe@example.com\",\n \"asn_targeting\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "CUSTOMER_ID",
"zone": "ZONE",
"password": "PASSWORD",
"api_token": "API_KEY"
}Use
vertical and ext_cust_email to sign up customers with verticalAuthorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Name of the proxy zone which will service your request.
Body
application/json
Zone name
Example:
"residential"
Zone vertical. Can be either sneakers_release or product_release_goods
Example:
"sneakers_release|product_release_goods"
Email of existing trusted customer. Specify this parameter when using product_release_goods vertical
Example:
"johndoe@example.com"
Enable City targeting permission
Example:
1
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?